|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QSound

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QSound class reference

### Public Functions

- QSound ( const QString & filename, QObject * parent, const char * name )

- 8 public functions inherited from QObject

### Static Public Members

- bool available ()

## Member Function Documentation

### QSound::QSound ( const QString & filename, QObject * parent, const char * name )

Constructs a QSound that can quickly play the sound in a file named filename.

This may use more memory than the static `play` function.

The parent and name arguments (default 0) are passed on to the QObject constructor.

### bool QSound::available () `[static]`

Use isAvailable() instead.